Skip to main content
`Ctrl`+`K`

# PetscSectionGetIncludesConstraints

Returns the flag indicating if constrained dofs were included when computing offsets in the `PetscSection`. The value is set with `PetscSectionSetIncludesConstraints()`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetIncludesConstraints(PetscSection s, PetscBool *includesConstraints)

Not Collective

## Input Parameter

- s - the `PetscSection`

## Output Parameter

- includesConstraints - the flag indicating if constrained dofs were included when computing offsets

## See Also

PetscSection, `PetscSection`, `PetscSectionSetIncludesConstraints()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages